USN-5514-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5514-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5514-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5514-1
Related
  • CVE-2022-1195
  • CVE-2022-1199
  • CVE-2022-1204
  • CVE-2022-1205
  • CVE-2022-1789
  • CVE-2022-33981
Published
2022-07-13T19:03:09Z
Modified
2022-07-13T19:03:09Z
Summary
linux, linux-aws, linux-aws-5.4, linux-azure, linux-azure-5.4, linux-azure-fde, linux-gcp, linux-gke, linux-gkeop, linux-gkeop-5.4, linux-hwe-5.4, linux-ibm, linux-ibm-5.4, linux-kvm, linux-oracle, linux-oracle-5.4, linux-raspi, linux-raspi-5.4 vulnerabilities
Details

It was discovered that the implementation of the 6pack and mkiss protocols in the Linux kernel did not handle detach events properly in some situations, leading to a use-after-free vulnerability. A local attacker could possibly use this to cause a denial of service (system crash). (CVE-2022-1195)

Duoming Zhou discovered that the AX.25 amateur radio protocol implementation in the Linux kernel did not handle detach events properly in some situations. A local attacker could possibly use this to cause a denial of service (system crash) or execute arbitrary code. (CVE-2022-1199)

Duoming Zhou discovered race conditions in the AX.25 amateur radio protocol implementation in the Linux kernel during device detach operations. A local attacker could possibly use this to cause a denial of service (system crash). (CVE-2022-1204)

Duoming Zhou discovered race conditions in the AX.25 amateur radio protocol implementation in the Linux kernel, leading to use-after-free vulnerabilities. A local attacker could possibly use this to cause a denial of service (system crash). (CVE-2022-1205)

Yongkang Jia discovered that the KVM hypervisor implementation in the Linux kernel did not properly handle guest TLB mapping invalidation requests in some situations. An attacker in a guest VM could use this to cause a denial of service (system crash) in the host OS. (CVE-2022-1789)

Minh Yuan discovered that the floppy driver in the Linux kernel contained a race condition in some situations, leading to a use-after-free vulnerability. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code. (CVE-2022-33981)

References

Affected packages

Ubuntu:20.04:LTS / linux-azure

Package

Name
linux-azure

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1086.91

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-azure-cloud-tools-5.4.0-1086": "5.4.0-1086.91",
            "linux-image-unsigned-5.4.0-1086-azure": "5.4.0-1086.91",
            "linux-tools-azure-lts-20.04": "5.4.0.1086.83",
            "linux-azure-tools-5.4.0-1086": "5.4.0-1086.91",
            "linux-modules-extra-azure-lts-20.04": "5.4.0.1086.83",
            "linux-cloud-tools-5.4.0-1086-azure": "5.4.0-1086.91",
            "linux-cloud-tools-azure-lts-20.04": "5.4.0.1086.83",
            "linux-image-azure-lts-20.04": "5.4.0.1086.83",
            "linux-headers-azure-lts-20.04": "5.4.0.1086.83",
            "linux-azure-headers-5.4.0-1086": "5.4.0-1086.91",
            "linux-headers-5.4.0-1086-azure": "5.4.0-1086.91",
            "linux-modules-extra-5.4.0-1086-azure": "5.4.0-1086.91",
            "linux-azure-lts-20.04": "5.4.0.1086.83",
            "linux-image-5.4.0-1086-azure": "5.4.0-1086.91",
            "linux-buildinfo-5.4.0-1086-azure": "5.4.0-1086.91",
            "linux-modules-5.4.0-1086-azure": "5.4.0-1086.91",
            "linux-tools-5.4.0-1086-azure": "5.4.0-1086.91"
        }
    ]
}

Ubuntu:20.04:LTS / linux-azure-fde

Package

Name
linux-azure-fde

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1086.91+cvm1.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-extra-azure-fde": "5.4.0.1086.91+cvm1.27",
            "linux-headers-azure-fde": "5.4.0.1086.91+cvm1.27",
            "linux-image-azure-fde": "5.4.0.1086.91+cvm1.27",
            "linux-image-unsigned-5.4.0-1086-azure-fde": "5.4.0-1086.91+cvm1.1",
            "linux-azure-fde": "5.4.0.1086.91+cvm1.27",
            "linux-tools-azure-fde": "5.4.0.1086.91+cvm1.27",
            "linux-image-5.4.0-1086-azure-fde": "5.4.0-1086.91+cvm1.1",
            "linux-cloud-tools-azure-fde": "5.4.0.1086.91+cvm1.27"
        }
    ]
}

Ubuntu:20.04:LTS / linux-gkeop

Package

Name
linux-gkeop

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1049.52

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-gkeop-5.4": "5.4.0.1049.50",
            "linux-gkeop-cloud-tools-5.4.0-1049": "5.4.0-1049.52",
            "linux-gkeop-5.4": "5.4.0.1049.50",
            "linux-gkeop-headers-5.4.0-1049": "5.4.0-1049.52",
            "linux-image-5.4.0-1049-gkeop": "5.4.0-1049.52",
            "linux-tools-gkeop": "5.4.0.1049.50",
            "linux-image-unsigned-5.4.0-1049-gkeop": "5.4.0-1049.52",
            "linux-gkeop": "5.4.0.1049.50",
            "linux-cloud-tools-gkeop": "5.4.0.1049.50",
            "linux-headers-gkeop": "5.4.0.1049.50",
            "linux-headers-gkeop-5.4": "5.4.0.1049.50",
            "linux-modules-extra-gkeop": "5.4.0.1049.50",
            "linux-gkeop-tools-5.4.0-1049": "5.4.0-1049.52",
            "linux-image-gkeop": "5.4.0.1049.50",
            "linux-modules-5.4.0-1049-gkeop": "5.4.0-1049.52",
            "linux-headers-5.4.0-1049-gkeop": "5.4.0-1049.52",
            "linux-cloud-tools-gkeop-5.4": "5.4.0.1049.50",
            "linux-gkeop-source-5.4.0": "5.4.0-1049.52",
            "linux-buildinfo-5.4.0-1049-gkeop": "5.4.0-1049.52",
            "linux-modules-extra-gkeop-5.4": "5.4.0.1049.50",
            "linux-tools-gkeop-5.4": "5.4.0.1049.50",
            "linux-tools-5.4.0-1049-gkeop": "5.4.0-1049.52",
            "linux-cloud-tools-5.4.0-1049-gkeop": "5.4.0-1049.52",
            "linux-modules-extra-5.4.0-1049-gkeop": "5.4.0-1049.52"
        }
    ]
}

Ubuntu:20.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-122.138

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-lowlatency-hwe-18.04": "5.4.0.122.123",
            "linux-generic-hwe-18.04": "5.4.0.122.123",
            "linux-headers-oem": "5.4.0.122.123",
            "linux-tools-virtual-hwe-18.04-edge": "5.4.0.122.123",
            "linux-lowlatency-hwe-18.04": "5.4.0.122.123",
            "linux-modules-extra-5.4.0-122-generic": "5.4.0-122.138",
            "linux-cloud-tools-virtual": "5.4.0.122.123",
            "linux-tools-generic-lpae-hwe-18.04": "5.4.0.122.123",
            "linux-cloud-tools-lowlatency": "5.4.0.122.123",
            "linux-lowlatency-hwe-18.04-edge": "5.4.0.122.123",
            "linux-headers-lowlatency-hwe-18.04-edge": "5.4.0.122.123",
            "linux-generic-lpae-hwe-18.04": "5.4.0.122.123",
            "linux-headers-generic-hwe-18.04": "5.4.0.122.123",
            "linux-generic-lpae-hwe-18.04-edge": "5.4.0.122.123",
            "linux-tools-virtual": "5.4.0.122.123",
            "linux-oem-osp1-tools-host": "5.4.0.122.123",
            "linux-cloud-tools-generic-hwe-18.04": "5.4.0.122.123",
            "linux-source": "5.4.0.122.123",
            "linux-image-extra-virtual": "5.4.0.122.123",
            "linux-oem": "5.4.0.122.123",
            "linux-cloud-tools-generic": "5.4.0.122.123",
            "linux-image-virtual": "5.4.0.122.123",
            "linux-tools-generic": "5.4.0.122.123",
            "linux-buildinfo-5.4.0-122-generic-lpae": "5.4.0-122.138",
            "linux-generic-lpae": "5.4.0.122.123",
            "linux-virtual": "5.4.0.122.123",
            "linux-cloud-tools-lowlatency-hwe-18.04-edge": "5.4.0.122.123",
            "linux-image-5.4.0-122-generic": "5.4.0-122.138",
            "linux-headers-5.4.0-122-lowlatency": "5.4.0-122.138",
            "linux-image-generic-hwe-18.04-edge": "5.4.0.122.123",
            "linux-image-generic-lpae-hwe-18.04": "5.4.0.122.123",
            "linux-crashdump": "5.4.0.122.123",
            "linux-headers-5.4.0-122": "5.4.0-122.138",
            "linux-cloud-tools-lowlatency-hwe-18.04": "5.4.0.122.123",
            "linux-generic": "5.4.0.122.123",
            "linux-image-unsigned-5.4.0-122-generic": "5.4.0-122.138",
            "linux-headers-lowlatency-hwe-18.04": "5.4.0.122.123",
            "linux-headers-virtual-hwe-18.04-edge": "5.4.0.122.123",
            "linux-tools-generic-hwe-18.04-edge": "5.4.0.122.123",
            "linux-generic-hwe-18.04-edge": "5.4.0.122.123",
            "linux-image-unsigned-5.4.0-122-lowlatency": "5.4.0-122.138",
            "linux-headers-generic-lpae": "5.4.0.122.123",
            "linux-tools-5.4.0-122-generic-lpae": "5.4.0-122.138",
            "linux-image-generic-lpae": "5.4.0.122.123",
            "linux-tools-lowlatency-hwe-18.04-edge": "5.4.0.122.123",
            "linux-tools-lowlatency": "5.4.0.122.123",
            "linux-headers-oem-osp1": "5.4.0.122.123",
            "linux-cloud-tools-common": "5.4.0-122.138",
            "linux-image-5.4.0-122-lowlatency": "5.4.0-122.138",
            "linux-headers-5.4.0-122-generic": "5.4.0-122.138",
            "linux-image-virtual-hwe-18.04-edge": "5.4.0.122.123",
            "linux-libc-dev": "5.4.0-122.138",
            "linux-source-5.4.0": "5.4.0-122.138",
            "linux-cloud-tools-generic-hwe-18.04-edge": "5.4.0.122.123",
            "linux-image-lowlatency-hwe-18.04": "5.4.0.122.123",
            "linux-doc": "5.4.0-122.138",
            "linux-headers-virtual-hwe-18.04": "5.4.0.122.123",
            "linux-buildinfo-5.4.0-122-lowlatency": "5.4.0-122.138",
            "linux-tools-oem-osp1": "5.4.0.122.123",
            "linux-oem-osp1": "5.4.0.122.123",
            "linux-headers-generic-lpae-hwe-18.04": "5.4.0.122.123",
            "linux-tools-5.4.0-122-lowlatency": "5.4.0-122.138",
            "linux-image-lowlatency-hwe-18.04-edge": "5.4.0.122.123",
            "linux-tools-5.4.0-122-generic": "5.4.0-122.138",
            "linux-headers-generic": "5.4.0.122.123",
            "linux-modules-5.4.0-122-generic": "5.4.0-122.138",
            "linux-headers-lowlatency": "5.4.0.122.123",
            "linux-oem-tools-host": "5.4.0.122.123",
            "linux-tools-generic-lpae-hwe-18.04-edge": "5.4.0.122.123",
            "linux-headers-virtual": "5.4.0.122.123",
            "linux-image-lowlatency": "5.4.0.122.123",
            "linux-virtual-hwe-18.04": "5.4.0.122.123",
            "linux-image-oem": "5.4.0.122.123",
            "linux-cloud-tools-virtual-hwe-18.04-edge": "5.4.0.122.123",
            "linux-tools-oem": "5.4.0.122.123",
            "linux-headers-generic-hwe-18.04-edge": "5.4.0.122.123",
            "linux-tools-host": "5.4.0-122.138",
            "linux-buildinfo-5.4.0-122-generic": "5.4.0-122.138",
            "linux-image-generic-lpae-hwe-18.04-edge": "5.4.0.122.123",
            "linux-image-5.4.0-122-generic-lpae": "5.4.0-122.138",
            "linux-virtual-hwe-18.04-edge": "5.4.0.122.123",
            "linux-tools-5.4.0-122": "5.4.0-122.138",
            "linux-image-generic-hwe-18.04": "5.4.0.122.123",
            "linux-cloud-tools-virtual-hwe-18.04": "5.4.0.122.123",
            "linux-cloud-tools-5.4.0-122": "5.4.0-122.138",
            "linux-image-virtual-hwe-18.04": "5.4.0.122.123",
            "linux-tools-generic-lpae": "5.4.0.122.123",
            "linux-image-extra-virtual-hwe-18.04-edge": "5.4.0.122.123",
            "linux-image-oem-osp1": "5.4.0.122.123",
            "linux-cloud-tools-5.4.0-122-generic": "5.4.0-122.138",
            "linux-headers-generic-lpae-hwe-18.04-edge": "5.4.0.122.123",
            "linux-headers-5.4.0-122-generic-lpae": "5.4.0-122.138",
            "linux-tools-virtual-hwe-18.04": "5.4.0.122.123",
            "linux-tools-common": "5.4.0-122.138",
            "linux-tools-generic-hwe-18.04": "5.4.0.122.123",
            "linux-image-generic": "5.4.0.122.123",
            "linux-lowlatency": "5.4.0.122.123",
            "linux-modules-5.4.0-122-generic-lpae": "5.4.0-122.138",
            "linux-modules-5.4.0-122-lowlatency": "5.4.0-122.138",
            "linux-cloud-tools-5.4.0-122-lowlatency": "5.4.0-122.138",
            "linux-image-extra-virtual-hwe-18.04": "5.4.0.122.123"
        }
    ]
}

Ubuntu:20.04:LTS / linux-kvm

Package

Name
linux-kvm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1071.76

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-5.4.0-1071-kvm": "5.4.0-1071.76",
            "linux-headers-5.4.0-1071-kvm": "5.4.0-1071.76",
            "linux-kvm": "5.4.0.1071.68",
            "linux-headers-kvm": "5.4.0.1071.68",
            "linux-modules-5.4.0-1071-kvm": "5.4.0-1071.76",
            "linux-kvm-headers-5.4.0-1071": "5.4.0-1071.76",
            "linux-kvm-tools-5.4.0-1071": "5.4.0-1071.76",
            "linux-image-5.4.0-1071-kvm": "5.4.0-1071.76",
            "linux-tools-kvm": "5.4.0.1071.68",
            "linux-image-unsigned-5.4.0-1071-kvm": "5.4.0-1071.76",
            "linux-buildinfo-5.4.0-1071-kvm": "5.4.0-1071.76",
            "linux-image-kvm": "5.4.0.1071.68"
        }
    ]
}

Ubuntu:20.04:LTS / linux-aws

Package

Name
linux-aws

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1081.88

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-aws-headers-5.4.0-1081": "5.4.0-1081.88",
            "linux-headers-5.4.0-1081-aws": "5.4.0-1081.88",
            "linux-tools-5.4.0-1081-aws": "5.4.0-1081.88",
            "linux-modules-extra-aws-lts-20.04": "5.4.0.1081.81",
            "linux-image-5.4.0-1081-aws": "5.4.0-1081.88",
            "linux-aws-cloud-tools-5.4.0-1081": "5.4.0-1081.88",
            "linux-aws-lts-20.04": "5.4.0.1081.81",
            "linux-tools-aws-lts-20.04": "5.4.0.1081.81",
            "linux-headers-aws-lts-20.04": "5.4.0.1081.81",
            "linux-buildinfo-5.4.0-1081-aws": "5.4.0-1081.88",
            "linux-aws-tools-5.4.0-1081": "5.4.0-1081.88",
            "linux-cloud-tools-5.4.0-1081-aws": "5.4.0-1081.88",
            "linux-image-unsigned-5.4.0-1081-aws": "5.4.0-1081.88",
            "linux-modules-extra-5.4.0-1081-aws": "5.4.0-1081.88",
            "linux-image-aws-lts-20.04": "5.4.0.1081.81",
            "linux-modules-5.4.0-1081-aws": "5.4.0-1081.88"
        }
    ]
}

Ubuntu:20.04:LTS / linux-raspi

Package

Name
linux-raspi

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1066.76

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-raspi2-hwe-18.04-edge": "5.4.0.1066.99",
            "linux-headers-raspi": "5.4.0.1066.99",
            "linux-tools-raspi-hwe-18.04-edge": "5.4.0.1066.99",
            "linux-image-raspi2": "5.4.0.1066.99",
            "linux-raspi-hwe-18.04-edge": "5.4.0.1066.99",
            "linux-raspi-headers-5.4.0-1066": "5.4.0-1066.76",
            "linux-headers-raspi-hwe-18.04": "5.4.0.1066.99",
            "linux-headers-raspi-hwe-18.04-edge": "5.4.0.1066.99",
            "linux-headers-5.4.0-1066-raspi": "5.4.0-1066.76",
            "linux-raspi2-hwe-18.04-edge": "5.4.0.1066.99",
            "linux-headers-raspi2-hwe-18.04": "5.4.0.1066.99",
            "linux-modules-5.4.0-1066-raspi": "5.4.0-1066.76",
            "linux-tools-5.4.0-1066-raspi": "5.4.0-1066.76",
            "linux-image-raspi": "5.4.0.1066.99",
            "linux-image-raspi2-hwe-18.04": "5.4.0.1066.99",
            "linux-image-raspi-hwe-18.04-edge": "5.4.0.1066.99",
            "linux-tools-raspi2-hwe-18.04-edge": "5.4.0.1066.99",
            "linux-headers-raspi2-hwe-18.04-edge": "5.4.0.1066.99",
            "linux-tools-raspi": "5.4.0.1066.99",
            "linux-raspi-tools-5.4.0-1066": "5.4.0-1066.76",
            "linux-buildinfo-5.4.0-1066-raspi": "5.4.0-1066.76",
            "linux-tools-raspi2-hwe-18.04": "5.4.0.1066.99",
            "linux-raspi2-hwe-18.04": "5.4.0.1066.99",
            "linux-raspi": "5.4.0.1066.99",
            "linux-image-raspi-hwe-18.04": "5.4.0.1066.99",
            "linux-headers-raspi2": "5.4.0.1066.99",
            "linux-tools-raspi2": "5.4.0.1066.99",
            "linux-raspi-hwe-18.04": "5.4.0.1066.99",
            "linux-raspi2": "5.4.0.1066.99",
            "linux-image-5.4.0-1066-raspi": "5.4.0-1066.76",
            "linux-tools-raspi-hwe-18.04": "5.4.0.1066.99"
        }
    ]
}

Ubuntu:20.04:LTS / linux-oracle

Package

Name
linux-oracle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1079.87

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-5.4.0-1079-oracle": "5.4.0-1079.87",
            "linux-tools-5.4.0-1079-oracle": "5.4.0-1079.87",
            "linux-image-oracle-lts-20.04": "5.4.0.1079.76",
            "linux-oracle-lts-20.04": "5.4.0.1079.76",
            "linux-headers-5.4.0-1079-oracle": "5.4.0-1079.87",
            "linux-headers-oracle-lts-20.04": "5.4.0.1079.76",
            "linux-oracle-headers-5.4.0-1079": "5.4.0-1079.87",
            "linux-image-unsigned-5.4.0-1079-oracle": "5.4.0-1079.87",
            "linux-modules-extra-5.4.0-1079-oracle": "5.4.0-1079.87",
            "linux-image-5.4.0-1079-oracle": "5.4.0-1079.87",
            "linux-tools-oracle-lts-20.04": "5.4.0.1079.76",
            "linux-buildinfo-5.4.0-1079-oracle": "5.4.0-1079.87",
            "linux-oracle-tools-5.4.0-1079": "5.4.0-1079.87"
        }
    ]
}

Ubuntu:20.04:LTS / linux-gke

Package

Name
linux-gke

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1078.84

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-gke": "5.4.0.1078.86",
            "linux-image-gke": "5.4.0.1078.86",
            "linux-headers-5.4.0-1078-gke": "5.4.0-1078.84",
            "linux-headers-gke": "5.4.0.1078.86",
            "linux-gke-5.4": "5.4.0.1078.86",
            "linux-image-unsigned-5.4.0-1078-gke": "5.4.0-1078.84",
            "linux-modules-extra-5.4.0-1078-gke": "5.4.0-1078.84",
            "linux-tools-gke-5.4": "5.4.0.1078.86",
            "linux-gke": "5.4.0.1078.86",
            "linux-headers-gke-5.4": "5.4.0.1078.86",
            "linux-modules-5.4.0-1078-gke": "5.4.0-1078.84",
            "linux-image-5.4.0-1078-gke": "5.4.0-1078.84",
            "linux-gke-headers-5.4.0-1078": "5.4.0-1078.84",
            "linux-tools-5.4.0-1078-gke": "5.4.0-1078.84",
            "linux-modules-extra-gke-5.4": "5.4.0.1078.86",
            "linux-modules-extra-gke": "5.4.0.1078.86",
            "linux-gke-tools-5.4.0-1078": "5.4.0-1078.84",
            "linux-image-gke-5.4": "5.4.0.1078.86",
            "linux-buildinfo-5.4.0-1078-gke": "5.4.0-1078.84"
        }
    ]
}

Ubuntu:20.04:LTS / linux-gcp

Package

Name
linux-gcp

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1084.92

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-gcp-headers-5.4.0-1084": "5.4.0-1084.92",
            "linux-gcp-tools-5.4.0-1084": "5.4.0-1084.92",
            "linux-modules-extra-gcp-lts-20.04": "5.4.0.1084.89",
            "linux-image-gcp-lts-20.04": "5.4.0.1084.89",
            "linux-modules-extra-5.4.0-1084-gcp": "5.4.0-1084.92",
            "linux-tools-5.4.0-1084-gcp": "5.4.0-1084.92",
            "linux-tools-gcp-lts-20.04": "5.4.0.1084.89",
            "linux-modules-5.4.0-1084-gcp": "5.4.0-1084.92",
            "linux-headers-5.4.0-1084-gcp": "5.4.0-1084.92",
            "linux-image-unsigned-5.4.0-1084-gcp": "5.4.0-1084.92",
            "linux-image-5.4.0-1084-gcp": "5.4.0-1084.92",
            "linux-headers-gcp-lts-20.04": "5.4.0.1084.89",
            "linux-gcp-lts-20.04": "5.4.0.1084.89",
            "linux-buildinfo-5.4.0-1084-gcp": "5.4.0-1084.92"
        }
    ]
}

Ubuntu:20.04:LTS / linux-ibm

Package

Name
linux-ibm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1029.33

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-5.4.0-1029-ibm": "5.4.0-1029.33",
            "linux-headers-ibm-lts-20.04": "5.4.0.1029.58",
            "linux-tools-ibm-lts-20.04": "5.4.0.1029.58",
            "linux-buildinfo-5.4.0-1029-ibm": "5.4.0-1029.33",
            "linux-modules-extra-ibm": "5.4.0.1029.58",
            "linux-image-5.4.0-1029-ibm": "5.4.0-1029.33",
            "linux-modules-5.4.0-1029-ibm": "5.4.0-1029.33",
            "linux-image-unsigned-5.4.0-1029-ibm": "5.4.0-1029.33",
            "linux-headers-5.4.0-1029-ibm": "5.4.0-1029.33",
            "linux-ibm-headers-5.4.0-1029": "5.4.0-1029.33",
            "linux-ibm-lts-20.04": "5.4.0.1029.58",
            "linux-tools-ibm": "5.4.0.1029.58",
            "linux-ibm-tools-common": "5.4.0-1029.33",
            "linux-headers-ibm": "5.4.0.1029.58",
            "linux-ibm": "5.4.0.1029.58",
            "linux-modules-extra-ibm-lts-20.04": "5.4.0.1029.58",
            "linux-modules-extra-5.4.0-1029-ibm": "5.4.0-1029.33",
            "linux-ibm-tools-5.4.0-1029": "5.4.0-1029.33",
            "linux-image-ibm-lts-20.04": "5.4.0.1029.58",
            "linux-image-ibm": "5.4.0.1029.58",
            "linux-ibm-source-5.4.0": "5.4.0-1029.33",
            "linux-ibm-cloud-tools-common": "5.4.0-1029.33"
        }
    ]
}

Ubuntu:18.04:LTS / linux-ibm-5.4

Package

Name
linux-ibm-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1029.33~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-5.4.0-1029-ibm": "5.4.0-1029.33~18.04.1",
            "linux-ibm-5.4-headers-5.4.0-1029": "5.4.0-1029.33~18.04.1",
            "linux-tools-ibm-edge": "5.4.0.1029.43",
            "linux-buildinfo-5.4.0-1029-ibm": "5.4.0-1029.33~18.04.1",
            "linux-modules-extra-ibm": "5.4.0.1029.43",
            "linux-headers-ibm-edge": "5.4.0.1029.43",
            "linux-image-5.4.0-1029-ibm": "5.4.0-1029.33~18.04.1",
            "linux-modules-5.4.0-1029-ibm": "5.4.0-1029.33~18.04.1",
            "linux-image-unsigned-5.4.0-1029-ibm": "5.4.0-1029.33~18.04.1",
            "linux-headers-5.4.0-1029-ibm": "5.4.0-1029.33~18.04.1",
            "linux-ibm-5.4-tools-common": "5.4.0-1029.33~18.04.1",
            "linux-modules-extra-ibm-edge": "5.4.0.1029.43",
            "linux-tools-ibm": "5.4.0.1029.43",
            "linux-ibm-edge": "5.4.0.1029.43",
            "linux-headers-ibm": "5.4.0.1029.43",
            "linux-ibm": "5.4.0.1029.43",
            "linux-modules-extra-5.4.0-1029-ibm": "5.4.0-1029.33~18.04.1",
            "linux-ibm-5.4-cloud-tools-common": "5.4.0-1029.33~18.04.1",
            "linux-image-ibm-edge": "5.4.0.1029.43",
            "linux-image-ibm": "5.4.0.1029.43",
            "linux-ibm-5.4-tools-5.4.0-1029": "5.4.0-1029.33~18.04.1",
            "linux-ibm-5.4-source-5.4.0": "5.4.0-1029.33~18.04.1"
        }
    ]
}

Ubuntu:18.04:LTS / linux-azure-5.4

Package

Name
linux-azure-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1086.91~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-5.4.0-1086-azure": "5.4.0-1086.91~18.04.1",
            "linux-azure-5.4-cloud-tools-5.4.0-1086": "5.4.0-1086.91~18.04.1",
            "linux-modules-extra-5.4.0-1086-azure": "5.4.0-1086.91~18.04.1",
            "linux-modules-extra-azure": "5.4.0.1086.63",
            "linux-signed-image-azure": "5.4.0.1086.63",
            "linux-image-unsigned-5.4.0-1086-azure": "5.4.0-1086.91~18.04.1",
            "linux-azure": "5.4.0.1086.63",
            "linux-signed-azure": "5.4.0.1086.63",
            "linux-azure-5.4-headers-5.4.0-1086": "5.4.0-1086.91~18.04.1",
            "linux-azure-edge": "5.4.0.1086.63",
            "linux-headers-azure-edge": "5.4.0.1086.63",
            "linux-cloud-tools-5.4.0-1086-azure": "5.4.0-1086.91~18.04.1",
            "linux-headers-azure": "5.4.0.1086.63",
            "linux-tools-azure-edge": "5.4.0.1086.63",
            "linux-cloud-tools-azure": "5.4.0.1086.63",
            "linux-tools-azure": "5.4.0.1086.63",
            "linux-azure-5.4-tools-5.4.0-1086": "5.4.0-1086.91~18.04.1",
            "linux-headers-5.4.0-1086-azure": "5.4.0-1086.91~18.04.1",
            "linux-cloud-tools-azure-edge": "5.4.0.1086.63",
            "linux-image-azure": "5.4.0.1086.63",
            "linux-image-5.4.0-1086-azure": "5.4.0-1086.91~18.04.1",
            "linux-image-azure-edge": "5.4.0.1086.63",
            "linux-signed-azure-edge": "5.4.0.1086.63",
            "linux-buildinfo-5.4.0-1086-azure": "5.4.0-1086.91~18.04.1",
            "linux-modules-5.4.0-1086-azure": "5.4.0-1086.91~18.04.1",
            "linux-signed-image-azure-edge": "5.4.0.1086.63",
            "linux-modules-extra-azure-edge": "5.4.0.1086.63"
        }
    ]
}

Ubuntu:18.04:LTS / linux-gkeop-5.4

Package

Name
linux-gkeop-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1049.52~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-gkeop-5.4": "5.4.0.1049.52~18.04.46",
            "linux-cloud-tools-5.4.0-1049-gkeop": "5.4.0-1049.52~18.04.1",
            "linux-gkeop-5.4": "5.4.0.1049.52~18.04.46",
            "linux-headers-gkeop-5.4": "5.4.0.1049.52~18.04.46",
            "linux-image-5.4.0-1049-gkeop": "5.4.0-1049.52~18.04.1",
            "linux-gkeop-5.4-tools-5.4.0-1049": "5.4.0-1049.52~18.04.1",
            "linux-image-unsigned-5.4.0-1049-gkeop": "5.4.0-1049.52~18.04.1",
            "linux-gkeop-5.4-cloud-tools-5.4.0-1049": "5.4.0-1049.52~18.04.1",
            "linux-modules-5.4.0-1049-gkeop": "5.4.0-1049.52~18.04.1",
            "linux-headers-5.4.0-1049-gkeop": "5.4.0-1049.52~18.04.1",
            "linux-cloud-tools-gkeop-5.4": "5.4.0.1049.52~18.04.46",
            "linux-buildinfo-5.4.0-1049-gkeop": "5.4.0-1049.52~18.04.1",
            "linux-modules-extra-gkeop-5.4": "5.4.0.1049.52~18.04.46",
            "linux-gkeop-5.4-source-5.4.0": "5.4.0-1049.52~18.04.1",
            "linux-tools-gkeop-5.4": "5.4.0.1049.52~18.04.46",
            "linux-tools-5.4.0-1049-gkeop": "5.4.0-1049.52~18.04.1",
            "linux-gkeop-5.4-headers-5.4.0-1049": "5.4.0-1049.52~18.04.1",
            "linux-modules-extra-5.4.0-1049-gkeop": "5.4.0-1049.52~18.04.1"
        }
    ]
}

Ubuntu:18.04:LTS / linux-hwe-5.4

Package

Name
linux-hwe-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-122.138~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-lowlatency-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-hwe-5.4-cloud-tools-5.4.0-122": "5.4.0-122.138~18.04.1",
            "linux-headers-oem": "5.4.0.122.138~18.04.102",
            "linux-tools-virtual-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-image-snapdragon-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-headers-snapdragon-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-modules-extra-5.4.0-122-generic": "5.4.0-122.138~18.04.1",
            "linux-lowlatency-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-generic-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-lowlatency-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-tools-generic-lpae-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-snapdragon-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-snapdragon-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-tools-snapdragon-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-headers-generic-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-generic-lpae-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-generic-lpae-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-headers-lowlatency-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-cloud-tools-generic-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-oem": "5.4.0.122.138~18.04.102",
            "linux-buildinfo-5.4.0-122-generic-lpae": "5.4.0-122.138~18.04.1",
            "linux-headers-5.4.0-122-lowlatency": "5.4.0-122.138~18.04.1",
            "linux-cloud-tools-lowlatency-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-image-5.4.0-122-generic": "5.4.0-122.138~18.04.1",
            "linux-hwe-5.4-cloud-tools-common": "5.4.0-122.138~18.04.1",
            "linux-image-generic-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-image-generic-lpae-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-cloud-tools-lowlatency-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-image-unsigned-5.4.0-122-generic": "5.4.0-122.138~18.04.1",
            "linux-headers-lowlatency-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-headers-virtual-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-tools-generic-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-modules-extra-virtual-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-generic-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-image-unsigned-5.4.0-122-lowlatency": "5.4.0-122.138~18.04.1",
            "linux-tools-5.4.0-122-generic-lpae": "5.4.0-122.138~18.04.1",
            "linux-tools-lowlatency-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-headers-snapdragon-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-headers-oem-osp1": "5.4.0.122.138~18.04.102",
            "linux-image-5.4.0-122-lowlatency": "5.4.0-122.138~18.04.1",
            "linux-hwe-5.4-headers-5.4.0-122": "5.4.0-122.138~18.04.1",
            "linux-image-lowlatency-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-hwe-5.4-source-5.4.0": "5.4.0-122.138~18.04.1",
            "linux-hwe-5.4-tools-5.4.0-122": "5.4.0-122.138~18.04.1",
            "linux-image-lowlatency-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-cloud-tools-generic-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-headers-generic-lpae-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-image-virtual-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-headers-virtual-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-buildinfo-5.4.0-122-lowlatency": "5.4.0-122.138~18.04.1",
            "linux-tools-oem-osp1": "5.4.0.122.138~18.04.102",
            "linux-modules-extra-virtual-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-oem-osp1": "5.4.0.122.138~18.04.102",
            "linux-tools-5.4.0-122-lowlatency": "5.4.0-122.138~18.04.1",
            "linux-headers-5.4.0-122-generic": "5.4.0-122.138~18.04.1",
            "linux-tools-5.4.0-122-generic": "5.4.0-122.138~18.04.1",
            "linux-headers-generic-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-modules-5.4.0-122-generic": "5.4.0-122.138~18.04.1",
            "linux-tools-oem": "5.4.0.122.138~18.04.102",
            "linux-tools-generic-lpae-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-hwe-5.4-tools-common": "5.4.0-122.138~18.04.1",
            "linux-virtual-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-image-oem": "5.4.0.122.138~18.04.102",
            "linux-cloud-tools-virtual-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-buildinfo-5.4.0-122-generic": "5.4.0-122.138~18.04.1",
            "linux-image-generic-lpae-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-image-5.4.0-122-generic-lpae": "5.4.0-122.138~18.04.1",
            "linux-virtual-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-image-generic-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-cloud-tools-virtual-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-image-virtual-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-image-extra-virtual-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-tools-virtual-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-cloud-tools-5.4.0-122-generic": "5.4.0-122.138~18.04.1",
            "linux-headers-generic-lpae-hwe-18.04-edge": "5.4.0.122.138~18.04.102",
            "linux-image-snapdragon-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-headers-5.4.0-122-generic-lpae": "5.4.0-122.138~18.04.1",
            "linux-image-oem-osp1": "5.4.0.122.138~18.04.102",
            "linux-modules-5.4.0-122-generic-lpae": "5.4.0-122.138~18.04.1",
            "linux-tools-snapdragon-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-tools-generic-hwe-18.04": "5.4.0.122.138~18.04.102",
            "linux-modules-5.4.0-122-lowlatency": "5.4.0-122.138~18.04.1",
            "linux-cloud-tools-5.4.0-122-lowlatency": "5.4.0-122.138~18.04.1",
            "linux-image-extra-virtual-hwe-18.04": "5.4.0.122.138~18.04.102"
        }
    ]
}

Ubuntu:18.04:LTS / linux-oracle-5.4

Package

Name
linux-oracle-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1079.87~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-oracle-5.4-headers-5.4.0-1079": "5.4.0-1079.87~18.04.1",
            "linux-image-oracle-edge": "5.4.0.1079.87~18.04.56",
            "linux-oracle-edge": "5.4.0.1079.87~18.04.56",
            "linux-image-5.4.0-1079-oracle": "5.4.0-1079.87~18.04.1",
            "linux-headers-5.4.0-1079-oracle": "5.4.0-1079.87~18.04.1",
            "linux-modules-extra-oracle-edge": "5.4.0.1079.87~18.04.56",
            "linux-signed-oracle-edge": "5.4.0.1079.87~18.04.56",
            "linux-modules-extra-5.4.0-1079-oracle": "5.4.0-1079.87~18.04.1",
            "linux-buildinfo-5.4.0-1079-oracle": "5.4.0-1079.87~18.04.1",
            "linux-tools-oracle-edge": "5.4.0.1079.87~18.04.56",
            "linux-signed-image-oracle": "5.4.0.1079.87~18.04.56",
            "linux-signed-oracle": "5.4.0.1079.87~18.04.56",
            "linux-tools-5.4.0-1079-oracle": "5.4.0-1079.87~18.04.1",
            "linux-oracle": "5.4.0.1079.87~18.04.56",
            "linux-modules-5.4.0-1079-oracle": "5.4.0-1079.87~18.04.1",
            "linux-headers-oracle": "5.4.0.1079.87~18.04.56",
            "linux-oracle-5.4-tools-5.4.0-1079": "5.4.0-1079.87~18.04.1",
            "linux-headers-oracle-edge": "5.4.0.1079.87~18.04.56",
            "linux-signed-image-oracle-edge": "5.4.0.1079.87~18.04.56",
            "linux-modules-extra-oracle": "5.4.0.1079.87~18.04.56",
            "linux-tools-oracle": "5.4.0.1079.87~18.04.56",
            "linux-image-oracle": "5.4.0.1079.87~18.04.56",
            "linux-image-unsigned-5.4.0-1079-oracle": "5.4.0-1079.87~18.04.1"
        }
    ]
}

Ubuntu:18.04:LTS / linux-aws-5.4

Package

Name
linux-aws-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1081.88~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-aws": "5.4.0.1081.61",
            "linux-headers-5.4.0-1081-aws": "5.4.0-1081.88~18.04.1",
            "linux-tools-5.4.0-1081-aws": "5.4.0-1081.88~18.04.1",
            "linux-image-aws-edge": "5.4.0.1081.61",
            "linux-headers-aws": "5.4.0.1081.61",
            "linux-image-5.4.0-1081-aws": "5.4.0-1081.88~18.04.1",
            "linux-aws-5.4-cloud-tools-5.4.0-1081": "5.4.0-1081.88~18.04.1",
            "linux-image-aws": "5.4.0.1081.61",
            "linux-aws-5.4-tools-5.4.0-1081": "5.4.0-1081.88~18.04.1",
            "linux-aws": "5.4.0.1081.61",
            "linux-headers-aws-edge": "5.4.0.1081.61",
            "linux-buildinfo-5.4.0-1081-aws": "5.4.0-1081.88~18.04.1",
            "linux-modules-extra-aws-edge": "5.4.0.1081.61",
            "linux-modules-extra-aws": "5.4.0.1081.61",
            "linux-tools-aws-edge": "5.4.0.1081.61",
            "linux-cloud-tools-5.4.0-1081-aws": "5.4.0-1081.88~18.04.1",
            "linux-aws-5.4-headers-5.4.0-1081": "5.4.0-1081.88~18.04.1",
            "linux-image-unsigned-5.4.0-1081-aws": "5.4.0-1081.88~18.04.1",
            "linux-aws-edge": "5.4.0.1081.61",
            "linux-modules-extra-5.4.0-1081-aws": "5.4.0-1081.88~18.04.1",
            "linux-modules-5.4.0-1081-aws": "5.4.0-1081.88~18.04.1"
        }
    ]
}

Ubuntu:18.04:LTS / linux-raspi-5.4

Package

Name
linux-raspi-5.4

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
5.4.0-1066.76~18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-raspi-hwe-18.04-edge": "5.4.0.1066.66",
            "linux-raspi-5.4-headers-5.4.0-1066": "5.4.0-1066.76~18.04.1",
            "linux-raspi-5.4-tools-5.4.0-1066": "5.4.0-1066.76~18.04.1",
            "linux-tools-raspi-hwe-18.04-edge": "5.4.0.1066.66",
            "linux-buildinfo-5.4.0-1066-raspi": "5.4.0-1066.76~18.04.1",
            "linux-raspi-hwe-18.04-edge": "5.4.0.1066.66",
            "linux-image-raspi-hwe-18.04": "5.4.0.1066.66",
            "linux-raspi-hwe-18.04": "5.4.0.1066.66",
            "linux-headers-raspi-hwe-18.04-edge": "5.4.0.1066.66",
            "linux-headers-raspi-hwe-18.04": "5.4.0.1066.66",
            "linux-headers-5.4.0-1066-raspi": "5.4.0-1066.76~18.04.1",
            "linux-image-5.4.0-1066-raspi": "5.4.0-1066.76~18.04.1",
            "linux-modules-5.4.0-1066-raspi": "5.4.0-1066.76~18.04.1",
            "linux-tools-5.4.0-1066-raspi": "5.4.0-1066.76~18.04.1",
            "linux-tools-raspi-hwe-18.04": "5.4.0.1066.66"
        }
    ]
}